PYSTE(1)

NAME
Pyste - Boost.Python code generator

SYNOPSIS
pyste [options] interface-files

DESCRIPTION
Pyste is a Boost.Python code generator. The user specifies the classes and functions to be exported using a simple interface file which, following the Boost.Python's philosophy, is simple Python code. Pyste then uses GCCXML to parse all the headers and extract the necessary information to automatically generate C++ code.

--module=<name>
    The name of the module that will be generated; defaults to the first interface filename, without the extension.

-I <path>
    Add an include path

-D <symbol>
    Define symbol

--multiple
    Create various cpps, instead of only one (useful during development)

--out=<name>
    Specify output filename (default: <module>.cpp) in --multiple mode, this will be a directory

--no-using
    Do not declare "using namespace boost"; use explicit declarations instead

--pyste-ns=<name>
    Set the namespace where new types will be declared; default is the empty namespace

--debug
    Writes the xml for each file parsed in the current directory

--cache-dir=<dir>
    Directory for cache files (speeds up future runs)

--only-create-cache
    Recreates all caches (doesn't generate code).

--generate-main
    Generates the _main.cpp file (in multiple mode)

--file-list
    A file with one pyste file per line. Use as a substitute for passing the files in the command line.

--gccxml-path=<path>
    Path to gccxml executable (default: gccxml)

--no-default-include
    Do not use INCLUDE environment variable for include files to pass along gccxml.

-h, --help
    Print this help and exit

-v, --version
    Print version information

SEE ALSO
The full documentation for Pyste is maintained in HTML format. If you have the libboost-doc package installed, the manual starts at

    /usr/share/doc/libboost-doc/HTML/libs/python/pyste/index.html